<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion
//---------------
cache();
//-----------------
$sesion->set('permiso', permisos($_POST['privilegio']));

require_once("../includes/lib_lenguaje.php");
$cleguaje = new cLanguage();

if (!comprobar_sesion()) {
    mensaje($cleguaje->Phrase('global', 'ses_cad'), $cleguaje->Phrase('project', 'institucion'));
    exit;
}  
$cd_docente = "";
if ($sesion->getVar('ac_tipo_user') == '1') {
    $cd_docente = $sesion->getVar("info_doc.cod_profesor");
} 

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));
$permisos = str_split($sesion->get('permiso'));
?>
<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Asignacion de faltas</title>

        <script  type="text/javascript">
            var element = null, rowt = null, wnd;
            var editRegInasis, subGridInasis;
            var dTsMaterias;
            var temEst = '';
            $(document).ready(function(e) {
                var total_por = 0;
                var cod_docente = "<?php echo $cd_docente ?>";
                var gr = null;
                var ide_act;
                var wndFaltas, dtSelectFalta, dtsFaltas;
                var lang = dtsLang.inasistencias;
                var cd_grupo;
                var temEst = '';
                /*//-----------------------------------------------------------------------------------------------------*/
                $("#md_n_txtsedes").change(function() {
                    cd_sede = $(this).val();
                    if (cod_docente == "") {
                        dt = {cod_cnds: cd_sede, codigo: 'a28', mopc: '0'}
                    } else {
                        dt = {cod_cnds: cod_docente + "|" + cd_sede, codigo: 'a25', mopc: '0'}
                    }
                    $.ajax({
                        type: "POST",
                        url: "includes/cargar_selec_normal.php",
                        data: dt,
                        success: function(dt) {
                            $("#md_n_txtjornadas").html(dt);
                            $("#md_n_txtjornadas").trigger("change");
                        },
                    });
                });

                /*//-----------------------------------------------------------------------------------------------------*/

                $("#md_n_txtjornadas").change(function() {
                    var jor = $(this).val();
                    $.ajax({
                        type: "POST",
                        url: "mod_inasistencias/cargar_select_grupos.php",
                        data: {sede: $("#md_n_txtsedes").val(), jornada: jor},
                        success: function(rta) {
                            $("#md_n_txtgrupo").html(rta);
                            $("#md_n_txtgrupo").trigger("change");
                        }
                    });
                });

                /*//-----------------------------------------------------------------------------------------------------*/

                $("#md_n_txtgrupo").change(function() {
                    $("#nomGrupo").text($("option:selected", this).parent()[0].label);
                    cd_grupo = $(this).val();
                    per_act = $("option:selected", this).data("per");
                    num_per = $("option:selected", this).data("neval");
                    $cont = "";
                    for (i = 1; i <= num_per; i++) {
                        if (i == per_act)
                            $cont += "<option value='" + i + "' selected>" + i + "</option>";
                        else
                            $cont += "<option value='" + i + "' >" + i + "</option>";
                    }
                    $("#md_n_periodo").html($cont);
                    $("#md_n_periodo").trigger("change");
                });


                /*//-----------------------------------------------------------------------------------------------------*/

                $("#md_n_periodo").change(function() {
                    elem = $(this);
                    if (elem.val() != $("#md_n_txtgrupo option:selected").data("per")) {
                        bloquear(true);
                    } else
                        bloquear(false);

                    id = gridEst.getGridParam('selrow');
                    gridEst.setGridParam({
                        url: "mod_inasistencias/list_estudiantesxfaltas.php",
                        page: 1,
                        datatype: 'json',
                        postData: {
                            cdgr: $("#md_n_txtgrupo").val(),
                            per_calif: $("#md_n_periodo").val(),
                        }
                    }).trigger("reloadGrid");
                    if (id) {
                        gridEst.setSelection(id);
                    }
                });

                /*//-----------------------------------------------------------------------------------------------------*/
                function bloquear(b) {
                    if (b)
                        $("#new_t_list_infoEstInasistencia, #edit_t_list_infoEstInasistencia, #del_tlist_infoEstInasistencia").addClass("ui-state-disabled");
                    else
                        $("#new_t_list_infoEstInasistencia, #edit_t_list_infoEstInasistencia, #del_tlist_infoEstInasistencia").removeClass("ui-state-disabled");
                }
                /*//-----------------------------------------------------------------------------------------------------*/
                $("#md_n_txtsedes").trigger("change");
                var row_acti;
                var gridEst = jQuery("#list_infoEst").jqGrid({
                    caption: lang.titulogrilla,
                    height: 357, /*//tamaño  alto de la grilla*/
                    url: '',
                    datatype: "local",
                    rowNum: 100,
                    hidegrid: false,
                    viewrecords: true,
                    rownumbers: true,
                    sortorder: "asc",
                    multiselect: false,
                    editurl: '',
                    shrinkToFit: false,
                    colNames: [
                        lang.num_doc, lang.nom_ape, 'Jus', 'Inj'
                    ],
                    colModel: [
                        {name: 'numedocumento_est', sortable: false, index: 'numedocumento_est', resizable: false, width: 120},
                        {name: 'nom_ape', index: 'nom_ape', sortable: false, resizable: false, width: 250},
                        {name: 'just', index: 'just', sortable: false, resizable: false, width: 25, align: "right"},
                        {name: 'injust', index: 'injust', sortable: false, resizable: false, width: 25, align: "right"},
                    ],
                    onSelectRow: function(rowid) {
                        row_acti = rowid;
                        temEst = rowid;
                        gridEstInasis.setGridParam({
                            postData: {
                                per_cal: $("select#md_n_periodo").val(),
                                id: rowid,
                            },
                            datatype: "json",
                            url: "mod_inasistencias/list_inasistencias.php",
                            page: 1
                        }).trigger("reloadGrid");
                    },
                });

                var gridEstInasis = jQuery("#list_infoEstInasistencia").jqGrid({
                    caption: lang.titulogrilla,
                    height: 330,
                    url: '',
                    mtype: "GET",
                    datatype: "local",
                    rowNum: 15,
                    hidegrid: false,
                    rowList: [15, 30, 50],
                    pager: '#pager_infoEstInasistencia',
                    viewrecords: true,
                    sortorder: "asc",
                    multiselect: false,
                    editurl: 'mod_inasistencias/new_edit_inasistencias.php',
                    shrinkToFit: false,
                    toolbar: [true, 'top'],
                    colNames: [
                        lang.materia, lang.fecha, lang.tipo, lang.nhr, lang.obs, '', ''
                    ],
                    colModel: [
                        {name: 'nom_asi', index: 'nom_asi', edittype: "select", resizable: false, width: 150},
                        {name: 'fecha', index: 'fecha', resizable: false, width: 90},
                        {name: 'tipo', index: 'tipo', resizable: false, width: 90},
                        {name: 'nhr', index: 'nhr', resizable: false, width: 90, search: false, align: 'right'},
                        {name: 'obs', index: 'obs', resizable: false, width: 260},
                        {name: 'id_mat', index: 'id_mat', resizable: false, width: 260, search: false, hidden: true},
                        {name: 'id_tip', index: 'id_tip', resizable: false, width: 260, search: false, hidden: true},
                    ],
                });

<?php if(in_array("A", $permisos)) 
{
    ?>
                    newBottonGrid(gridEstInasis, {
                        pag: 't_list_infoEstInasistencia',
                        title: dtsLang.globals.news + " " + lang.name,
                        caption: '',
                        id: "new_t_list_infoEstInasistencia",
                        onClickButton: function() {
                            if ($("#list_infoEst").getGridParam('selrow') === null) {
                                jAlert(lang.msg_sel_est, dtsLang.project.institucion, "adv");
                                return false;
                            }
                            $('#colorbox,#cboxOverlay,#cboxWrapper').css('z-index', '4000');
                            $.fn.colorbox({
                                href: 'mod_inasistencias/new_edit_inasistencias.php?accion=new&ideest=' + temEst,
                                width: 'auto',
                                height: 'auto',
                                title: dtsLang.globals.news + " " + lang.name,
                                transition: 'elastic',
                                iframe: false,
                            });
                        },
                        posicion: "last",
                        buttonicon: 'ui-btn-new',
                    });

                    /*btnNuevoColorbox(gridEstInasis,dtnew);*/

<?php } if (in_array("M", $permisos)) { ?>

                    newBottonGrid(gridEstInasis, {
                        pag: 't_list_infoEstInasistencia',
                        title: dtsLang.globals.edit + " " + lang.name,
                        caption: '',
                        id: "edit_t_list_infoEstInasistencia",
                        onClickButton: function() {
                            if ($("#list_infoEstInasistencia").getGridParam('selrow') === null) {
                                jAlert(dtsLang.globals.selrec, dtsLang.project.institucion, "adv");
                                return false;
                            }
                            $('#colorbox,#cboxOverlay,#cboxWrapper').css('z-index', '4000');
                            $.fn.colorbox({
                                href: 'mod_inasistencias/new_edit_inasistencias.php?accion=edit&ideest=' + temEst,
                                width: 'auto',
                                height: 'auto',
                                title: dtsLang.globals.news + " " + lang.name,
                                transition: 'elastic',
                                iframe: false,
                            });
                        },
                        posicion: "last",
                        buttonicon: 'ui-btn-edit',
                    });

<?php } if (in_array("E", $permisos)) { ?>
                    var tddel = {
                        modulo: 'inasistenacias',
                        nom_pag: "t_list_infoEstInasistencia",
                        ide_tabla: 'list_infoEstInasistencia',
                        msg_sel: dtsLang.globals.selrec,
                        msg_confirma: lang.msgconfirdel, /*mensaje de confirmacion para la eliminacion*/
                        title: dtsLang.globals.del + " " + lang.name,
                        empresa: dtsLang.project.institucion,
                        isgrid: true,
                        url: "mod_inasistencias/opera_inasistencias.php",
                        msgExito: dtsLang.globals.delexito,
                        adicional: function(r, dts) {
                            nj = parseInt(gridEst.getCell(row_acti, 'just'));
                            ni = parseInt(gridEst.getCell(row_acti, 'injust'));
                            if (dts.id_tip == 0)
                                gridEst.setCell(row_acti, 'just', nj - parseInt(dts.nhr));
                            else
                                gridEst.setCell(row_acti, 'injust', ni - parseInt(dts.nhr));
                        }
                    };
                    btnEliminar(gridEstInasis, tddel);

<?php } ?>

            });

        </script> 

    </head>

    <body> 
        <table align="center">
            <tr>
                <td colspan="2">
                    <table align="left">
                        <tr clas class="tit1">
                            <td><?php echo $cleguaje->getField('global', 'name_sede') ?></td>
                            <td><?php echo $cleguaje->getField('global', 'name_jornada') ?></td>
                            <td><?php echo $cleguaje->getField('global', 'grupos') ?> &nbsp;<span class="text4" id="nomGrupo"></span></td>
                            <td id="tipo_evaluacion"><?php echo $cleguaje->getField('md_notas', 'periodos') ?></td>
                        </tr>
                        <tr>
                            <td><select name="md_n_txtsedes" class="campos" id="md_n_txtsedes" style="width:250px; " >
                                    <?php
                                    if ($cd_docente != "") {
                                        $sql = "SELECT adm_sedes.cod_sede , adm_sedes.nom_sede FROM aca_asignaturasxgrupos 
							INNER JOIN aca_grupos ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo)
							INNER JOIN adm_sedes ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
						WHERE (aca_asignaturasxgrupos.cod_profesor='$cd_docente') GROUP BY adm_sedes.cod_sede";
                                    } else {
                                        $sql = "SELECT
							DISTINCT adm_sedes.cod_sede
							, adm_sedes.nom_sede
						FROM
							aca_grupos
							INNER JOIN adm_sedes 
								ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
							INNER JOIN aca_asignaturasxgrupos 
								ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo) ORDER BY adm_sedes.con_sede ASC";
                                    }

                                    $academia->instruccion($sql);
                                    while ($reg = $academia->extraer_registro()) {
                                        echo "<option value='" . $reg[cod_sede] . "' aux='$cmpaux2' >" . $reg[nom_sede] . "</option>";
                                    }
                                    $academia->liberar();
                                    ?>
                                </select></td>
                            <td><select name="md_n_txtjornadas" class="campos" id="md_n_txtjornadas" style="width:160px">
                                    <option value="0x">Seleccionar...</option>
                                    <?php
                                    ?>
                                </select></td>
                            <td><select name="md_n_txtgrupo" class="campos" id="md_n_txtgrupo" style="width:160px">
                                    <option value="0x">Seleccionar...</option>
                                </select></td>
                            <td><select name="md_n_txtperiodo" class="campos" id="md_n_periodo" style="width:160px">
                                    <option value="0x">Seleccionar...</option>
                                </select></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td valign="top">
                    <table id="list_infoEst"></table>
                    <div id="pager_infoEst"></div>
                </td> 
                <td>
                    <table id="list_infoEstInasistencia"></table>
                    <div id="pager_infoEstInasistencia"></div>
                </td>
            </tr>
        </table>
    </div>


</body>
</html>